Fibaro Motion Sensor not recognized

Just purchased this and the directions seem to indicate this needs to be added to the database

2019-01-10 10:18:22.678 [WARN ] [wave.discovery.ZWaveDiscoveryService] - NODE 6: Device discovery could not resolve to a thingType! 010F:0801:2002::3.3
2019-01-10 10:18:22.689 [INFO ] [g.discovery.internal.PersistentInbox] - Added new thing 'zwave:device:3e73c009:node6' to inbox.

Have you checked if it is already on the database?
If not then add it yourself

The model number is listed under the Zwave binding, but on the paperUI there is this message. Even if the device appears to be in the database, some manufacturers use multiple sets of references for different regions or versions, and your device references may not be in the database. In either case, the database must be updated and you should raise an issue to get this addressed. As a beginner I do not know how to add to the zwave database.

Have you read the docs or searched the forum?

ZWave binding

Supported things paragraph, follow the link

Yes, but it looks like your device type and id (0801:2002) are not in the database, so it needs to be added.
Please post your xml file from your userdata/zwave folder, we need to find out if a new database entry needs to be created or if just the id’s need to be added to the existing database entry:
https://www.cd-jackson.com/index.php/zwave/zwave-device-database/zwave-device-list/devicesummary/328

Hi, I am also facing similar issue. Looks like my new zwave and zwave+ Fibaro devices are not in database. After inclusion all devices are showing as unknown. If so how to add the entry in the database ?
Here is the snapshot for motion sensor FGMS-001 (zwave)

zwave+ device FGS222 v2.2 Openhab Debug log is shown below.

Also I have other two zwave+ devices FGS213 v3.2 and FGS223 v3.2 . All these devices are with IN ( India ) frequency.

Openhab Debug log of FGS222 v2.2 is show here:
2019-01-10 23:08:01.084 [DEBUG] [ding.zwave.handler.ZWaveThingHandler] - Checking zwave:zwaveproducts_zlpa100_00_000
2019-01-10 23:08:01.086 [DEBUG] [ding.zwave.handler.ZWaveThingHandler] - NODE 5: Unable to find thing type (010F:0202:6002:2.2)
2019-01-10 23:08:01.090 [DEBUG] [l.initialization.ZWaveNodeSerializer] - NODE 5: Serialise aborted as static stages not complete
2019-01-10 23:08:01.091 [DEBUG] [alization.ZWaveNodeInitStageAdvancer] - NODE 5: Node advancer - advancing to DYNAMIC_VALUES
2019-01-10 23:08:01.092 [DEBUG] [ding.zwave.handler.ZWaveThingHandler] - NODE 5: Got an event from Z-Wave network: ZWaveInitializationStateEvent
2019-01-10 23:08:01.093 [DEBUG] [alization.ZWaveNodeInitStageAdvancer] - NODE 5: Node advancer: DYNAMIC_VALUES - checking COMMAND_CLASS_MULTI_CHANNEL_ASSOCIATION
2019-01-10 23:08:01.095 [DEBUG] [alization.ZWaveNodeInitStageAdvancer] - NODE 5: Node advancer: DYNAMIC_VALUES - checking COMMAND_CLASS_MULTI_CHANNEL
2019-01-10 23:08:01.096 [DEBUG] [alization.ZWaveNodeInitStageAdvancer] - NODE 5: Node advancer: DYNAMIC_VALUES - checking COMMAND_CLASS_FIRMWARE_UPDATE_MD
2019-01-10 23:08:01.097 [DEBUG] [alization.ZWaveNodeInitStageAdvancer] - NODE 5: Node advancer: DYNAMIC_VALUES - checking COMMAND_CLASS_MANUFACTURER_SPECIFIC
2019-01-10 23:08:01.098 [DEBUG] [alization.ZWaveNodeInitStageAdvancer] - NODE 5: Node advancer: DYNAMIC_VALUES - checking COMMAND_CLASS_POWERLEVEL
2019-01-10 23:08:01.099 [DEBUG] [alization.ZWaveNodeInitStageAdvancer] - NODE 5: Found 1 instances of COMMAND_CLASS_POWERLEVEL for endpoint 0
2019-01-10 23:08:01.101 [DEBUG] [andclass.ZWavePowerLevelCommandClass] - NODE 5: Creating new message for application command POWERLEVEL_GET

Can anyone help to understand what is the real issue.
Thanks

https://www.cd-jackson.com/index.php/zwave/zwave-device-database/zwave-device-database-guide

Thanks for the quick reply. I am quite new. Does it look like only References (Type:Id) need to be updated ?
I can find all my devices (FGMS-001 v2.7, FGS222 v2.2, FGS213 v3.2, FGS223 v3.2) entry in the database
only References (Type:Id) not there.

Thanks

Ok. However my Samba has not been working, possibly since Windows 10 conversion, so it may take a while. I got to the file on my Pi3, but do not have the Linux skills to get it to my PC yet. Thanks for your reply.

OK. I think this is what you asked about.
node6.xml (12.5 KB)

1 Like

Yes. It looks like it is the same device as posted above, so I’ve added your thing type and id (0801:2002).
You need to wait for the changes to be merged into the zwave binding (couple of days) and then upgrade to the latest 2.5 snapshot zwave binding.

1 Like

Great. Thanks

Did Fibaro just recently expand to the market in India? That could be the reason why the firmware versions are the same, but the thing type and id are missing (I guess).
Could you please post your xml files for all devices missing? Or at least device name, firmware version, thing type and thing id?

Fibaro zwave+ IN devices are relatively new. 2018 manufactured. But zwave are available since last 1.5 yrs.
I used them with openhab 1.8 and it worked despite showing not in the database. I ignored the warning that time. Now once upgraded to openhab2 and added few new IN zwave+, everything stopped working.
I have added all xml files. Please help me to add them in the database.

Device Details:
FGMS-001 (zwave) Fibaro Motion Sensor (Node -4) v2.7

Z-Wave Node 004 (010F:0800:6001:2.7)

FGS222 (zwave) Fibaro Double Relay (Node-5) v2.2

Z-Wave Node 005 (010F:0202:6002:2.2)

FGS223(zwave+) Fibaro Double Relay (Node-6) v3.2

Z-Wave Node 006 (010F:0203:6000:3.2)

FGS213(zwave+) Fibaro single Relay (Node-7) v3.2

Z-Wave Node 007 (010F:0403:6000:3.2)

Being a new user not allowing me to attach the xml files. added the drive link.
https://drive.google.com/open?id=1xYSpoBjomzf2sk9fjVV5yLdyhago5FUQ

Any workaround to use these devices till the issue is fixed.
Thanks for the help.

As your devices all look the same as the existing devices I’ve added the thing type and id from your xml files to the database. Not necessary to create new database entries.

http://www.cd-jackson.com/index.php/zwave/zwave-device-database/zwave-device-list/devicesummary/115
http://www.cd-jackson.com/index.php/zwave/zwave-device-database/zwave-device-list/devicesummary/124
http://www.cd-jackson.com/index.php/zwave/zwave-device-database/zwave-device-list/devicesummary/416
http://www.cd-jackson.com/index.php/zwave/zwave-device-database/zwave-device-list/devicesummary/423

You need to upgrade to the latest snapshot 2.5 zwave binding once the changes got merged.

Yes, but it is a bit complex:

Thank you so much for your quick help. :smile:

1 Like

is there a way to know when the 2.5 snapshot includes the update to the z-wave? I loaded an update from 1-12-19, but still getting the same error.

The only way to be sure is to check in GH -:

Alternatively, I generally do an update a couple of times a week (or at least once a week).

At the moment the system is broken though so the last update was about a week ago. I have another PR in the pipeline for the past few days, but until the CI issues are resolved I can’t merge -:

If you are comfortable in linux environment, can try "jar -xvf " to extract named (or all) files from archive. Then can check the expected changes is there or not.
Existing 2.5 zwave snapshot still not having the database changes, as Chris pointed changes are not yet merged.

Thanks

Thanks. That helps